Bug 3515 - Ctrl-Shift-X opens multiple external editors
Summary: Ctrl-Shift-X opens multiple external editors
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Compose Window (show other bugs)
Version: 3.11.1
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-09-07 17:36 CEST by Khumba
Modified: 2016-08-24 12:45 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Khumba 2015-09-07 17:36:55 CEST
1. Open a compose window.
2. Open an external editor (C-S-x or through the menu).
The menu open to open the external editor is now greyed out.
3. Focus the compose window and type C-S-x.
A wild second editor appears!

Expected: One editor at a time.

- If you close the first editor first, then Claws freezes until the second editor is closed.

- Whichever order you close the windows and regardless of what's in the second-to-close window or if you resave the deleted temp file, the compose window's body is cleared when the last editor closes.

Claws 3.11.1 on NixOS 15.09 (64-bit).
Comment 1 Ricardo Mones 2016-08-23 10:50:36 CEST
Doesn't reproduce now, so I guess this has been side-fixed by
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=388820da
Comment 2 Khumba 2016-08-24 02:59:34 CEST
Nothing's changed here with Claws 3.14.0 (Debian Stretch).
Comment 3 Ricardo Mones 2016-08-24 10:10:38 CEST
(In reply to comment #2)
> Nothing's changed here with Claws 3.14.0 (Debian Stretch).

Which external editor are you using?
Comment 4 users 2016-08-24 12:21:03 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2016-08-24 12:21:03.111669927 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=3a162b359277f1b7371f040db1757a9bf6c579b5
Merge: 95a489f a22303c
Author: Colin Leroy <colin@colino.net>
Date:   Wed Aug 24 12:21:02 2016 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=a22303ce00367add653f0b87d8e2d301bb15e9f9
Author: Ricardo Mones <ricardo@mones.org>
Date:   Wed Aug 24 12:14:28 2016 +0200

    Fix bug #3515: Ctrl-Shift-X opens multiple external editors
    
    This a known GTK+ bug (passing keypresses of disabled menus) or
    a mising feature (not providing a way to disable also keypresses).
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=656158
Comment 5 Ricardo Mones 2016-08-24 12:45:51 CEST
Just made a quick test with the embedded editor I use, which made me think it was fixed. Trying with others it does indeed reproduce.

It's a GTK+ bug, but it's workarounded now by ignoring the callback while editor still open.